org.apache.sysds.runtime.compress.estim.sample

## Class SmoothedJackknifeEstimator

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.sample.SmoothedJackknifeEstimator

    public class SmoothedJackknifeEstimator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SmoothedJackknifeEstimator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `distinctCount(int numVals, int[] freqCounts, int nRows, int sampleSize)` Peter J.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SmoothedJackknifeEstimator

    public SmoothedJackknifeEstimator()

### Method Detail

#### distinctCount

    public static int distinctCount(int numVals,
                                    int[] freqCounts,
                                    int nRows,
                                    int sampleSize)

Peter J. Haas, Jeffrey F. Naughton, S. Seshadri, and Lynne Stokes. Sampling-Based Estimation of the Number of Distinct Values of an Attribute. VLDB'95, Section 4.3.

Parameters:
  `numVals` - The number of unique values in the sample
  `freqCounts` - The inverse histogram of frequencies. counts extracted
  `nRows` - The original number of rows in the entire input
  `sampleSize` - The number of rows in the sample
Returns:
  Estimate of the number of distinct values